DatabaseMetaDataJDBC3Test (jTDS API)
Keywords: net.sourceforge.jtds.test.DatabaseMetaDataJDBC3Test class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class DatabaseMetaDataJDBC3Test

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.DatabaseTestCase
                      net.sourceforge.jtds.test.MetaDataTestCase
                          net.sourceforge.jtds.test.DatabaseMetaDataJDBC3Test

All Implemented Interfaces:
  junit.framework.Test

public class DatabaseMetaDataJDBC3Test
extends MetaDataTestCase

Test JDBC3 extensions to `DatabaseMetaData`.

Version:
  $Id: DatabaseMetaDataJDBC3Test.java,v 1.2 2005/01/05 12:24:14 alin_sinpalean Exp $

Field Summary

Fields inherited from class net.sourceforge.jtds.test.DatabaseTestCase
``

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`DatabaseMetaDataJDBC3Test(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `testBooleanOptions()` Test meta data functions that return boolean values.
`void` | `testIntOptions()` Test meta data function that return integer values.
`void` | `testResultSets()` Test meta data functions that return result sets.

Methods inherited from class net.sourceforge.jtds.test.MetaDataTestCase
`checkColumnNames`

Methods inherited from class net.sourceforge.jtds.test.DatabaseTestCase
`compareBytes, dropFunction, dropProcedure, dropProcedure, dropTable, getLongString, getLongString, getType, getTypemap`

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseMetaDataJDBC3Test

    public DatabaseMetaDataJDBC3Test(java.lang.String name)

Method Detail

### testBooleanOptions

    public void testBooleanOptions()
                            throws java.lang.Exception

  Test meta data functions that return boolean values.

  Throws:
    `java.lang.Exception`

### testIntOptions

    public void testIntOptions()
                        throws java.lang.Exception

  Test meta data function that return integer values.

  Throws:
    `java.lang.Exception`

### testResultSets

    public void testResultSets()
                        throws java.lang.Exception

  Test meta data functions that return result sets.

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009